package de.intevation.gnv.chart;

import java.util.Collection;
import java.util.Locale;

import org.jfree.chart.JFreeChart;
import org.jfree.chart.ChartTheme;

/**
 * @author Ingo Weinzierl <ingo.weinzierl@intevation.de>
 */
public abstract class AbstractChart
implements            Chart
{
    protected JFreeChart  chart;
    protected boolean     linesVisible;
    protected boolean     shapesVisible;

    protected Locale      locale;

    protected ChartLabels labels;
    protected ChartTheme  theme;
    protected Collection  parameters;
    protected Collection  measurements;
    protected Collection  resultSet;
    protected Collection  dates;
    protected Collection  timeGaps;

    public abstract JFreeChart generateChart();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=latin1 :
